---
apiVersion: kubernetes-client.io/v1
kind: ExternalSecret
metadata:
  name: oauth-battlenet
spec:
  backendType: vault
  vaultRole: app-raidkeeper.com
  data:
  - name: BATTLENET_CLIENT_ID
    key: kv/data/raidkeeper.com/battlenet-oauth
    property: client-id
  - name: BATTLENET_CLIENT_SECRET
    key: kv/data/raidkeeper.com/battlenet-oauth
    property: client-secret